## rust-xcb 0.9.0

=== debian/changelog ===
rust-xcb (0.9.0-2) unstable; urgency=medium

  * Team upload.
  * Package xcb 0.9.0 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 22 Apr 2020 13:14:04 +0200

rust-xcb (0.9.0-1) unstable; urgency=medium

  * Package xcb 0.9.0 from crates.io using debcargo 2.4.0

 -- Ximin Luo <infinity0@debian.org>  Tue, 24 Dec 2019 14:29:00 +0000
