=== debian/control ===
Source: rust-xcb
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 libxcb1-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ximin Luo <infinity0@debian.org>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/xcb]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/xcb

Package: librust-xcb-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 libxcb1-dev,
 libxcb-dpms0-dev,
 libxcb-dri2-0-dev,
 libxcb-dri3-dev,
 libxcb-glx0-dev,
 libxcb-randr0-dev,
 libxcb-record0-dev,
 libxcb-render0-dev,
 libxcb-res0-dev,
 libxcb-screensaver0-dev,
 libxcb-shape0-dev,
 libxcb-shm0-dev,
 libxcb-xf86dri0-dev,
 libxcb-xinerama0-dev,
 libxcb-xkb-dev,
 libxcb-xtest0-dev,
 libxcb-xv0-dev,
 libxcb-xvmc0-dev
Suggests:
 librust-xcb+debug-all-dev (= ${binary:Version}),
 librust-xcb+present-dev (= ${binary:Version}),
 librust-xcb+x11-dev (= ${binary:Version}),
 librust-xcb+xfixes-dev (= ${binary:Version}),
 librust-xcb+xlib-xcb-dev (= ${binary:Version})
Provides:
 librust-xcb+default-dev (= ${binary:Version}),
 librust-xcb+dpms-dev (= ${binary:Version}),
 librust-xcb+dri2-dev (= ${binary:Version}),
 librust-xcb+dri3-dev (= ${binary:Version}),
 librust-xcb+ge-dev (= ${binary:Version}),
 librust-xcb+glx-dev (= ${binary:Version}),
 librust-xcb+randr-dev (= ${binary:Version}),
 librust-xcb+record-dev (= ${binary:Version}),
 librust-xcb+render-dev (= ${binary:Version}),
 librust-xcb+res-dev (= ${binary:Version}),
 librust-xcb+screensaver-dev (= ${binary:Version}),
 librust-xcb+shape-dev (= ${binary:Version}),
 librust-xcb+shm-dev (= ${binary:Version}),
 librust-xcb+sync-dev (= ${binary:Version}),
 librust-xcb+thread-dev (= ${binary:Version}),
 librust-xcb+xevie-dev (= ${binary:Version}),
 librust-xcb+xf86dri-dev (= ${binary:Version}),
 librust-xcb+xf86vidmode-dev (= ${binary:Version}),
 librust-xcb+xinerama-dev (= ${binary:Version}),
 librust-xcb+xkb-dev (= ${binary:Version}),
 librust-xcb+xprint-dev (= ${binary:Version}),
 librust-xcb+xselinux-dev (= ${binary:Version}),
 librust-xcb+xtest-dev (= ${binary:Version}),
 librust-xcb+xv-dev (= ${binary:Version}),
 librust-xcb+xvmc-dev (= ${binary:Version}),
 librust-xcb-0-dev (= ${binary:Version}),
 librust-xcb-0+default-dev (= ${binary:Version}),
 librust-xcb-0+dpms-dev (= ${binary:Version}),
 librust-xcb-0+dri2-dev (= ${binary:Version}),
 librust-xcb-0+dri3-dev (= ${binary:Version}),
 librust-xcb-0+ge-dev (= ${binary:Version}),
 librust-xcb-0+glx-dev (= ${binary:Version}),
 librust-xcb-0+randr-dev (= ${binary:Version}),
 librust-xcb-0+record-dev (= ${binary:Version}),
 librust-xcb-0+render-dev (= ${binary:Version}),
 librust-xcb-0+res-dev (= ${binary:Version}),
 librust-xcb-0+screensaver-dev (= ${binary:Version}),
 librust-xcb-0+shape-dev (= ${binary:Version}),
 librust-xcb-0+shm-dev (= ${binary:Version}),
 librust-xcb-0+sync-dev (= ${binary:Version}),
 librust-xcb-0+thread-dev (= ${binary:Version}),
 librust-xcb-0+xevie-dev (= ${binary:Version}),
 librust-xcb-0+xf86dri-dev (= ${binary:Version}),
 librust-xcb-0+xf86vidmode-dev (= ${binary:Version}),
 librust-xcb-0+xinerama-dev (= ${binary:Version}),
 librust-xcb-0+xkb-dev (= ${binary:Version}),
 librust-xcb-0+xprint-dev (= ${binary:Version}),
 librust-xcb-0+xselinux-dev (= ${binary:Version}),
 librust-xcb-0+xtest-dev (= ${binary:Version}),
 librust-xcb-0+xv-dev (= ${binary:Version}),
 librust-xcb-0+xvmc-dev (= ${binary:Version}),
 librust-xcb-0.9-dev (= ${binary:Version}),
 librust-xcb-0.9+default-dev (= ${binary:Version}),
 librust-xcb-0.9+dpms-dev (= ${binary:Version}),
 librust-xcb-0.9+dri2-dev (= ${binary:Version}),
 librust-xcb-0.9+dri3-dev (= ${binary:Version}),
 librust-xcb-0.9+ge-dev (= ${binary:Version}),
 librust-xcb-0.9+glx-dev (= ${binary:Version}),
 librust-xcb-0.9+randr-dev (= ${binary:Version}),
 librust-xcb-0.9+record-dev (= ${binary:Version}),
 librust-xcb-0.9+render-dev (= ${binary:Version}),
 librust-xcb-0.9+res-dev (= ${binary:Version}),
 librust-xcb-0.9+screensaver-dev (= ${binary:Version}),
 librust-xcb-0.9+shape-dev (= ${binary:Version}),
 librust-xcb-0.9+shm-dev (= ${binary:Version}),
 librust-xcb-0.9+sync-dev (= ${binary:Version}),
 librust-xcb-0.9+thread-dev (= ${binary:Version}),
 librust-xcb-0.9+xevie-dev (= ${binary:Version}),
 librust-xcb-0.9+xf86dri-dev (= ${binary:Version}),
 librust-xcb-0.9+xf86vidmode-dev (= ${binary:Version}),
 librust-xcb-0.9+xinerama-dev (= ${binary:Version}),
 librust-xcb-0.9+xkb-dev (= ${binary:Version}),
 librust-xcb-0.9+xprint-dev (= ${binary:Version}),
 librust-xcb-0.9+xselinux-dev (= ${binary:Version}),
 librust-xcb-0.9+xtest-dev (= ${binary:Version}),
 librust-xcb-0.9+xv-dev (= ${binary:Version}),
 librust-xcb-0.9+xvmc-dev (= ${binary:Version}),
 librust-xcb-0.9.0-dev (= ${binary:Version}),
 librust-xcb-0.9.0+default-dev (= ${binary:Version}),
 librust-xcb-0.9.0+dpms-dev (= ${binary:Version}),
 librust-xcb-0.9.0+dri2-dev (= ${binary:Version}),
 librust-xcb-0.9.0+dri3-dev (= ${binary:Version}),
 librust-xcb-0.9.0+ge-dev (= ${binary:Version}),
 librust-xcb-0.9.0+glx-dev (= ${binary:Version}),
 librust-xcb-0.9.0+randr-dev (= ${binary:Version}),
 librust-xcb-0.9.0+record-dev (= ${binary:Version}),
 librust-xcb-0.9.0+render-dev (= ${binary:Version}),
 librust-xcb-0.9.0+res-dev (= ${binary:Version}),
 librust-xcb-0.9.0+screensaver-dev (= ${binary:Version}),
 librust-xcb-0.9.0+shape-dev (= ${binary:Version}),
 librust-xcb-0.9.0+shm-dev (= ${binary:Version}),
 librust-xcb-0.9.0+sync-dev (= ${binary:Version}),
 librust-xcb-0.9.0+thread-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xevie-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xf86dri-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xf86vidmode-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xinerama-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xkb-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xprint-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xselinux-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xtest-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xv-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xvmc-dev (= ${binary:Version})
Description: Rust bindings and wrappers for XCB - Rust source code
 This package contains the source for the Rust xcb crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: librust-xcb+debug-all-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-xcb-dev (= ${binary:Version}),
 librust-xcb+thread-dev (= ${binary:Version}),
 librust-xcb+composite-dev (= ${binary:Version}),
 librust-xcb+damage-dev (= ${binary:Version}),
 librust-xcb+dpms-dev (= ${binary:Version}),
 librust-xcb+dri2-dev (= ${binary:Version}),
 librust-xcb+dri3-dev (= ${binary:Version}),
 librust-xcb+glx-dev (= ${binary:Version}),
 librust-xcb+randr-dev (= ${binary:Version}),
 librust-xcb+record-dev (= ${binary:Version}),
 librust-xcb+render-dev (= ${binary:Version}),
 librust-xcb+res-dev (= ${binary:Version}),
 librust-xcb+screensaver-dev (= ${binary:Version}),
 librust-xcb+shape-dev (= ${binary:Version}),
 librust-xcb+shm-dev (= ${binary:Version}),
 librust-xcb+xevie-dev (= ${binary:Version}),
 librust-xcb+xf86dri-dev (= ${binary:Version}),
 librust-xcb+xfixes-dev (= ${binary:Version}),
 librust-xcb+xinerama-dev (= ${binary:Version}),
 librust-xcb+xkb-dev (= ${binary:Version}),
 librust-xcb+xprint-dev (= ${binary:Version}),
 librust-xcb+xselinux-dev (= ${binary:Version}),
 librust-xcb+xtest-dev (= ${binary:Version}),
 librust-xcb+xvmc-dev (= ${binary:Version}),
 librust-xcb+xv-dev (= ${binary:Version}),
 librust-xcb+xlib-xcb-dev (= ${binary:Version})
Provides:
 librust-xcb-0+debug-all-dev (= ${binary:Version}),
 librust-xcb-0.9+debug-all-dev (= ${binary:Version}),
 librust-xcb-0.9.0+debug-all-dev (= ${binary:Version})
Description: Rust bindings and wrappers for XCB - feature "debug_all"
 This metapackage enables feature "debug_all" for the Rust xcb crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-xcb+present-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-xcb-dev (= ${binary:Version}),
 librust-xcb+render-dev (= ${binary:Version}),
 librust-xcb+xfixes-dev (= ${binary:Version}),
 librust-xcb+sync-dev (= ${binary:Version})
Provides:
 librust-xcb-0+present-dev (= ${binary:Version}),
 librust-xcb-0.9+present-dev (= ${binary:Version}),
 librust-xcb-0.9.0+present-dev (= ${binary:Version})
Description: Rust bindings and wrappers for XCB - feature "present"
 This metapackage enables feature "present" for the Rust xcb crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-xcb+x11-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-xcb-dev (= ${binary:Version}),
 librust-x11-2+default-dev (>= 2.3-~~),
 librust-x11-2+xlib-dev (>= 2.3-~~)
Provides:
 librust-xcb-0+x11-dev (= ${binary:Version}),
 librust-xcb-0.9+x11-dev (= ${binary:Version}),
 librust-xcb-0.9.0+x11-dev (= ${binary:Version})
Description: Rust bindings and wrappers for XCB - feature "x11"
 This metapackage enables feature "x11" for the Rust xcb crate, by pulling in
 any additional dependencies needed by that feature.

Package: librust-xcb+xfixes-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-xcb-dev (= ${binary:Version}),
 librust-xcb+render-dev (= ${binary:Version}),
 librust-xcb+shape-dev (= ${binary:Version}),
 libxcb-xfixes0-dev,
 libxcb-composite0-dev,
 libxcb-damage0-dev
Provides:
 librust-xcb+composite-dev (= ${binary:Version}),
 librust-xcb+damage-dev (= ${binary:Version}),
 librust-xcb+xinput-dev (= ${binary:Version}),
 librust-xcb-0+xfixes-dev (= ${binary:Version}),
 librust-xcb-0+composite-dev (= ${binary:Version}),
 librust-xcb-0+damage-dev (= ${binary:Version}),
 librust-xcb-0+xinput-dev (= ${binary:Version}),
 librust-xcb-0.9+xfixes-dev (= ${binary:Version}),
 librust-xcb-0.9+composite-dev (= ${binary:Version}),
 librust-xcb-0.9+damage-dev (= ${binary:Version}),
 librust-xcb-0.9+xinput-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xfixes-dev (= ${binary:Version}),
 librust-xcb-0.9.0+composite-dev (= ${binary:Version}),
 librust-xcb-0.9.0+damage-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xinput-dev (= ${binary:Version})
Description: Rust bindings and wrappers for XCB - feature "xfixes" and 3 more
 This metapackage enables feature "xfixes" for the Rust xcb crate, by pulling in
 any additional dependencies needed by that feature.
 .
 Additionally, this package also provides the "composite", "damage", and
 "xinput" features.

Package: librust-xcb+xlib-xcb-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-xcb-dev (= ${binary:Version}),
 librust-x11-2+xlib-dev (>= 2.3-~~)
Provides:
 librust-xcb-0+xlib-xcb-dev (= ${binary:Version}),
 librust-xcb-0.9+xlib-xcb-dev (= ${binary:Version}),
 librust-xcb-0.9.0+xlib-xcb-dev (= ${binary:Version})
Description: Rust bindings and wrappers for XCB - feature "xlib_xcb"
 This metapackage enables feature "xlib_xcb" for the Rust xcb crate, by pulling
 in any additional dependencies needed by that feature.
