=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

override_dh_auto_test:
	true
# tests fail for some reason TODO investigate
#	dh_auto_test -- test --all
