=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --all-features
Features: test-name=@
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --no-default-features
Features: test-name=librust-xcb-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --features debug_all
Features: test-name=librust-xcb+debug-all-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --features present
Features: test-name=librust-xcb+present-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --features x11
Features: test-name=librust-xcb+x11-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --features xfixes
Features: test-name=librust-xcb+xfixes-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 0.9.0 --all-targets --features xlib_xcb
Features: test-name=librust-xcb+xlib-xcb-dev
Depends: dh-cargo (>= 18), @
Restrictions: allow-stderr, skip-not-installable
