## rust-xcb 1.1.1

=== debian/changelog ===
rust-xcb (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * Package xcb 1.1.1 from crates.io using debcargo 2.5.0

 -- James McCoy <jamessan@debian.org>  Tue, 14 Jun 2022 22:16:35 -0400
