=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --all-features
Features: test-name=rust-xcb:@
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features debug_atom_names
Features: test-name=librust-xcb-dev:debug_atom_names
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets 
Features: test-name=librust-xcb-dev:default
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features dpms
Features: test-name=librust-xcb-dev:dpms
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features dri2
Features: test-name=librust-xcb-dev:dri2
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features dri3
Features: test-name=librust-xcb-dev:dri3
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features ge
Features: test-name=librust-xcb-dev:ge
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features glx
Features: test-name=librust-xcb-dev:glx
Depends: dh-cargo (>= 18), librust-x11-2+default-dev (>= 2.19.1-~~), librust-x11-2+glx-dev (>= 2.19.1-~~), librust-x11-2+xlib-dev (>= 2.19.1-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test xcb 1.1.1 --all-targets --no-default-features --features randr
Features: test-name=librust-xcb-dev:randr
