## rust-xcb 1.2.0

=== debian/changelog ===
rust-xcb (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * Package xcb 1.2.0 from crates.io using debcargo 2.6.0
  * Add patch to build with latest quick_xml.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 22 Dec 2022 20:16:43 +0000
